> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentpowers.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Skill

> Update an existing skill — creates a new version.



## OpenAPI

````yaml /openapi.json patch /v1/skills/{slug}
openapi: 3.1.0
info:
  title: AgentPowers API
  description: Paid marketplace for Claude Code skills and agents
  version: 0.1.0
servers:
  - url: https://api.agentpowers.ai
    description: Production
security: []
paths:
  /v1/skills/{slug}:
    patch:
      tags:
        - skills
      summary: Update Skill
      description: Update an existing skill — creates a new version.
      operationId: update_skill_v1_skills__slug__patch
      parameters:
        - name: slug
          in: path
          required: true
          schema:
            type: string
            title: Slug
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SkillUpdateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SkillUpdateResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    SkillUpdateRequest:
      properties:
        bump:
          anyOf:
            - type: string
              pattern: ^(patch|minor|major)$
            - type: 'null'
          title: Bump
        version:
          anyOf:
            - type: string
            - type: 'null'
          title: Version
        title:
          anyOf:
            - type: string
              maxLength: 100
              minLength: 3
            - type: 'null'
          title: Title
        description:
          anyOf:
            - type: string
              maxLength: 1024
              minLength: 10
            - type: 'null'
          title: Description
        long_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Long Description
        category:
          anyOf:
            - type: string
              maxLength: 50
              minLength: 2
            - type: 'null'
          title: Category
        price_cents:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Price Cents
        changelog:
          anyOf:
            - type: string
            - type: 'null'
          title: Changelog
      type: object
      title: SkillUpdateRequest
    SkillUpdateResponse:
      properties:
        slug:
          type: string
          title: Slug
        previous_version:
          type: string
          title: Previous Version
        new_version:
          type: string
          title: New Version
        version_id:
          type: string
          title: Version Id
        status:
          type: string
          title: Status
        message:
          type: string
          title: Message
      type: object
      required:
        - slug
        - previous_version
        - new_version
        - version_id
        - status
        - message
      title: SkillUpdateResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Provide a Clerk JWT or a long-lived CLI token (prefix `ap_cli_`).  Pass
        as `Authorization: Bearer <token>`.

````